Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000823Core InformAssertions and creationspublic2011-12-17 16:132014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000823: <no text> in problem message provoked by preposition at beginning of rulebook name
DescriptionThe attached source leads to

- - - -
Problem. The sentence 'In response to foo is a nothing based rulebook' seems to be asking me to create a new value (a rulebook) in order to be part of a relationship, but this isn't a kind of value which I can just create new values for.
- - - -

which is fine, but then also to

- - - -
Problem. The sentence 'In response to foo is a nothing based rulebook' seems to tell me that 'nothing based rulebook' and '<no text>' have to be the same, but it looks odd to me. 'nothing based rulebook' is something generic - not something definite; but '<no text>' is (presumably) something specific. So it's as if you'd written 'A room is the Sydney Opera House'. (Which room, exactly? You see the trouble.)
- - - -
Minimal Source Text To Reproduce
There is a room.
In response to foo is a nothing based rulebook.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001658)
NYKevin (reporter)
2012-04-17 17:07

This looks similar, but might be a distinct bug. I don't know.

There is room.

Here is number.

- Issue History
Date Modified Username Field Change
2011-12-17 16:13 EmacsUser New Issue
2012-04-17 17:07 NYKevin Note Added: 0001658
2012-06-20 07:52 curiousdannii Status new => confirmed
2014-01-22 15:08 graham Status confirmed => resolved
2014-01-22 15:08 graham Resolution open => fixed
2014-01-22 15:08 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker